Bug 1122755 - Non-fatal exception thrown at server shutdown
Summary: Non-fatal exception thrown at server shutdown
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Configuration
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR3
: 6.1.0
Assignee: Rob Cernich
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 02:37 UTC by Len DiMaggio
Modified: 2015-11-02 08:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2142 Major Resolved Errors during shutdown of Karaf with app deployed 2014-10-21 13:31:37 UTC

Description Len DiMaggio 2014-07-24 02:37:58 UTC
Description of problem:

ERROR: Bundle org.switchyard.karaf.switchyard-karaf-deploy [283] Error stopping bundle. (java.lang.IllegalStateException: Service already unregistered.)
java.lang.IllegalStateException: Service already unregistered.
	at org.apache.felix.framework.ServiceRegistrationImpl.unregister(ServiceRegistrationImpl.java:136)
	at org.switchyard.deploy.osgi.internal.SwitchYardExtender.doStop(SwitchYardExtender.java:91)
	at org.switchyard.deploy.osgi.base.AbstractExtender.stop(AbstractExtender.java:139)
	at org.apache.felix.framework.util.SecureAction.stopActivator(SecureAction.java:667)
	at org.apache.felix.framework.Felix.stopBundle(Felix.java:2777)
	at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1335)
	at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304)
	at java.lang.Thread.run(Thread.java:744)
ERROR: Bundle org.switchyard.karaf.switchyard-karaf-deploy [283] Error stopping mvn:org.switchyard.karaf/switchyard-karaf-deploy/2.0.0.Alpha1-redhat-1 (org.osgi.framework.BundleException: Activator stop error in bundle org.switchyard.karaf.switchyard-karaf-deploy [283].)
java.lang.IllegalStateException: Service already unregistered.
	at org.apache.felix.framework.ServiceRegistrationImpl.unregister(ServiceRegistrationImpl.java:136)
	at org.switchyard.deploy.osgi.internal.SwitchYardExtender.doStop(SwitchYardExtender.java:91)
	at org.switchyard.deploy.osgi.base.AbstractExtender.stop(AbstractExtender.java:139)
	at org.apache.felix.framework.util.SecureAction.stopActivator(SecureAction.java:667)
	at org.apache.felix.framework.Felix.stopBundle(Felix.java:2777)
	at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1335)
	at org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:304)
	at java.lang.Thread.run(Thread.java:744)




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Rob Cernich 2014-10-21 13:31:36 UTC
I believe this has been addressed.


Note You need to log in before you can comment on or make changes to this bug.